public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-bootstrap/
Date: Wed, 20 Jun 2018 20:27:55 +0000 (UTC)	[thread overview]
Message-ID: <1529526363.96fdbc259ab6b8f7e1babb297e4cf9e4ebab4c82.sbraz@gentoo> (raw)

commit:     96fdbc259ab6b8f7e1babb297e4cf9e4ebab4c82
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 20 20:26:03 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 20:26:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96fdbc25

dev-python/flask-bootstrap: support PyPy, Python 3.6, fix deps

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../flask-bootstrap/flask-bootstrap-3.3.7.1.ebuild | 23 +++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

diff --git a/dev-python/flask-bootstrap/flask-bootstrap-3.3.7.1.ebuild b/dev-python/flask-bootstrap/flask-bootstrap-3.3.7.1.ebuild
index 33d02be24a6..939d06eb18c 100644
--- a/dev-python/flask-bootstrap/flask-bootstrap-3.3.7.1.ebuild
+++ b/dev-python/flask-bootstrap/flask-bootstrap-3.3.7.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+EAPI=7
+PYTHON_COMPAT=( pypy python{2_7,3_{4,5,6}} )
 
 inherit distutils-r1
 
@@ -20,6 +20,7 @@ IUSE="doc test"
 RDEPEND="
 	dev-python/dominate[${PYTHON_USEDEP}]
 	dev-python/flask[${PYTHON_USEDEP}]
+	dev-python/markupsafe[${PYTHON_USEDEP}]
 	dev-python/visitor[${PYTHON_USEDEP}]
 	dev-python/wtforms[${PYTHON_USEDEP}]
 "
@@ -30,11 +31,13 @@ DEPEND="
 		dev-python/flask-debug[${PYTHON_USEDEP}]
 		dev-python/flask-nav[${PYTHON_USEDEP}]
 		dev-python/flask-wtf[${PYTHON_USEDEP}]
-		dev-python/pytest-runner[${PYTHON_USEDEP}]
 		dev-python/pytest[${PYTHON_USEDEP}]
 		${RDEPEND}
 	)
-	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	doc? (
+		dev-python/alabaster[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
 "
 
 python_prepare_all() {
@@ -43,15 +46,13 @@ python_prepare_all() {
 }
 
 python_compile_all() {
-	use doc && emake -C docs html
+	if use doc; then
+		sphinx-build docs docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
 }
 
 python_test() {
 	# Skip one test which requires network access
 	py.test -k "not test_versions_match" || die "Tests failed with ${EPYTHON}"
 }
-
-python_install_all() {
-	use doc && local HTML_DOCS=( docs/_build/html/. )
-	distutils-r1_python_install_all
-}


             reply	other threads:[~2018-06-20 20:27 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-20 20:27 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-12-29 13:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-bootstrap/ David Seifert
2017-01-16  9:28 David Seifert
2016-09-08 21:54 David Seifert
2016-09-08 21:54 David Seifert
2016-05-24  3:06 Ian Delaney
2016-04-29  7:10 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1529526363.96fdbc259ab6b8f7e1babb297e4cf9e4ebab4c82.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox